# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /root/project/packaging/pytorch3d, last modified Tue Oct  5 23:29:11 2021
# ------------------------------------------------

package:
  name: pytorch3d
  version: 0.6.0
source:
  path: /root/project
build:
  features: null
  script: python setup.py install --single-version-externally-managed --record=record.txt
  script_env:
    - CUDA_HOME
    - FORCE_CUDA
    - MAX_JOBS
    - NVCC_FLAGS
  string: py37_cu111_pyt191
requirements:
  build: []
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_llvm
    - blas 1.0 mkl
    - ca-certificates 2021.5.30 ha878542_0
    - cudatoolkit 11.1.1 h6406543_9
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libffi 3.4.2 h9c3ff4c_4
    - libgcc-ng 11.2.0 h1d223b6_9
    - libstdcxx-ng 11.2.0 he4da1e4_9
    - libuv 1.42.0 h7f98852_0
    - libzlib 1.2.11 h36c2ea0_1013
    - llvm-openmp 12.0.1 h4bd325d_1
    - mkl 2021.3.0 h726a3e6_557
    - ncurses 6.2 h58526e2_4
    - ninja 1.10.2 h4bd325d_1
    - openssl 3.0.0 h7f98852_1
    - pip 21.2.4 pyhd8ed1ab_0
    - python 3.7.10 hf930737_102_cpython
    - python_abi 3.7 2_cp37m
    - pytorch 1.9.1 py3.7_cuda11.1_cudnn8.0.5_0
    - readline 8.1 h46c0cb4_0
    - setuptools 58.0.4 py37h89c1867_2
    - sqlite 3.36.0 h9cd32fc_2
    - tbb 2021.3.0 h4bd325d_0
    - tk 8.6.11 h27826a3_1
    - typing_extensions 3.10.0.2 pyha770c72_0
    - wheel 0.37.0 pyhd8ed1ab_1
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h36c2ea0_1013
  run:
    - cudatoolkit >=11.1,<11.2
    - fvcore
    - iopath
    - numpy >=1.11
    - python >=3.7,<3.8.0a0
    - python_abi 3.7.* *_cp37m
    - pytorch==1.9.1
    - torchvision >=0.5
test:
  commands: python -m unittest discover -v -s tests
  imports:
    - pytorch3d
  requires:
    - imageio
  source_files:
    - docs
    - tests
about:
  home: https://github.com/facebookresearch/pytorch3d
  license: BSD
  license_file: LICENSE
  summary: 3d Geometry for pytorch
extra:
  copy_test_source_files: true
  final: true
